Skip to content

Get permission space list by page

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get permission space list by page

Method name

ManagementClient.listPermissionNamespaces

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
querystringNo-Permission space nameexamplePermissionNamespace

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listPermissionNamespaces({
    page: 1,
    limit: 10,
    query: "Sample permission space name",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: PermissionNamespaceListPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a PermissionNamespaceListPagingDtodata

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "name": "Example permission space name",
      "code": "examplePermissionNamespace",
      "description": "dd8d7stf44",
      "status": 1
    }
  }
}

Data structure

PermissionNamespaceListPagingDto

NameTypeIs it requiredDescriptionSample value
totalCountnumberyestotal number of records
listarrayyesresponse data Nested type: <a PermissionNamespacesListRespDto.

PermissionNamespacesListRespDto

NameTypeIs it required?DescriptionExample value
namestringYesPermission space nameExample Permission space name
codestringYesPermission space CodeexamplePermissionNamespace
descriptionstringNoPermission space descriptiondd8d7stf44
statusnumberNoPermission space status: 0 -> closed, 1 -> open1

Agent infrastructure for identity, memory, and web action.